Page MenuHomePhabricator

Disable VLC metadata collection by default
Closed, ResolvedPublic

Description

This is for user safety , to avoid pressing on continue and he wasn't aware of what it does say.

TODO:

  • /etc/vlc.d configuration snippet drop-in feature request
  • Meanwhile should be implemented minimal VLC config preconfiguring this in anon-apps-config /etc/skel.

Details

Impact
Normal

Event Timeline

Patrick changed Impact from Needs Triage to Normal.
Patrick updated the task description. (Show Details)Apr 6 2018, 8:39 AM
Patrick updated the task description. (Show Details)
Tibo added a subscriber: Tibo.EditedApr 7 2018, 6:38 PM

Withc VLC a config file is created per user and there is no global configuration.
The path is $HOME/.config/vlc/vlcrc.

As far as I understand, the content of /etc/skel/ is magically being copied in the user directory.
So I modified the architecture as follow :

etc
|-- skel
|   `-- .config
|       `-- vlc
|           `-- vlcrc

I tested it, and it works, what do you think ?
Should I fork the anon-apps-config repo on github, and make a pull request ?

Looks good!

Should I fork the anon-apps-config repo on github,

Yes.

and make a pull request ?

  • Pull request is one accepted way.
  • Another accepted way is just posting to any branch and posting the branch name here.
  • Currently it's even accepted to to commit to you fork's master branch and then I'll merge that as well. (However, in case we'd ever reach a dead-end you'd have to reset your master branch.)
  • Other suggestions?

Please pick the most comfortable one.

Tibo added a comment.Apr 9 2018, 7:21 AM

I'm fine a with a pull request !
Do you have other tasks for me ?

I have just a simple question, how do you know if somebody is not already working on a task ?

Patrick assigned this task to Tibo.Apr 9 2018, 1:16 PM
In T736#15889, @Tibo wrote:

I have just a simple question, how do you know if somebody is not already working on a task ?

If it is assigned to someone on phabricator like now. (Or by the context of the discussion but we should assign tasks.)

In T736#15889, @Tibo wrote:

Do you have other tasks for me ?

Easy, testing only:
T444

Easy, testing only:
T652

Qubes specific, testing should be easy but if it's broken maybe not easy to fix:
T781

T772 has stalled as well.

Patrick added a comment.EditedApr 9 2018, 6:25 PM

qt-privacy-ask=0

By name only means "do not ask".

Stop VLC.
Delete VLC config.
Start with your config.

Does the metadata collection show up as disabled in VLC settings?

If yes, this is ready to merge. Even easy enough for Whonix 14.

Patrick edited projects, added Whonix 14; removed Whonix 15.Apr 9 2018, 6:26 PM

Answering the meta questions here for me was not so clever this it created these references. Not a big deal either. However, better to have a development forum thread.

Mentioned Here

T772: Managing programs without Tor DNS Support
T444: Ricochet IM
T652: anon-gpg-tweaks Debian stretch changes required
T781: tb-updater do not populate home directory at first boot?
Tibo added a comment.Apr 9 2018, 7:46 PM

Hi !

The name is confusing I agree.
But it actually does disallow metadata network access.

qt-privacy-ask=0qt-privacy-ask=1
No pop-up asking for allowing metadataThe pop-up is showing and asking for metadata collection
Correctly disable in VLC settingsEither have to check it or not (If you close the popup it also disallow metadata collection)
Patrick changed the task status from Open to testing-in-next-build-required.Apr 11 2018, 12:44 PM
Patrick closed this task as Resolved.Apr 26 2018, 10:03 AM